Subject: Re: [ippm] Last Call: 'Packet Reordering Metric for IPPM' to Proposed Standard

From: Al Morton <[email-masked]>
Date: Sun, 09 Apr 2006 10:41:24 -0400

At 08:52 PM 3/27/2006, The IESG wrote:
>- 'Packet Reordering Metric for IPPM '
>    <draft-ietf-ippm-reordering-11.txt> as a Proposed Standard
>
>The IESG plans to make a decision in the next few weeks, and solicits
>final comments on this action.  Please send any comments to the
>[email-masked] or [email-masked] mailing lists by 2006-04-10.

Lars, Henk, Matt,

Emile Stephan passed a comment to me in-person,
regarding the IPPM Metrics Registry.  He reminds that the IANA section
of the draft should request registration of the metrics,
as is done in the current version of the ippm-multimetrics draft:

9.  IANA Considerations

    Metrics defined in this memo should be registered in the IANA IPPM
    METRICS REGISTRY as described in initial version of the registry
    [RFC4148].

Emile -- As author of the registry RFC, is the text sufficient?
Or do we need to prepare a template for each new metric,
as RFC 4148 says:

>5.2.  Registration Template
>
>    The following is a proposed template to insert in the IANA
>    considerations section.  For each metric, that section would
>    instantiate the following statement:
>
>       IANA has registed the following metric in the IANA-IPPM-METRICS-
>       REGISTRY-MIB:
>
>        aNewMetricName OBJECT-IDENTITY
>        STATUS       current
>        DESCRIPTION
>           "The identifier for a new metric."
>        REFERENCE
>           "Reference R, section n."
>           ::= { ianaIppmMetrics nn }     -- IANA assigns nn

I don't mind preparing a template for each reordering metric with a
"Metric Name" section. But this seems like a lot of text
to insert at Last Call, although none of it would be controversial.

We might do this in a separate draft, too.
I'm open to opinions and suggestions.

Al

_______________________________________________
ippm mailing list
[email-masked] 
https://www1.ietf.org/mailman/listinfo/ippm

---

From: "STEPHAN Emile RD-CORE-LAN" <[email-masked]>
Date: Mon, 10 Apr 2006 12:11:48 +0200

Hi Al,

RFC4148 tells to describe them in the IANA consideration section. So from my point of view the simple way (and the faster) consists in inserting the following in the IANA section:

   ietfReordered OBJECT-IDENTITY
      STATUS       current
      DESCRIPTION
         "Type-P-Reordered"
      REFERENCE "RFCyyyy, section 3."
-- RFC Ed.: replace yyyy with actual RFC number & remove this note
      ::= { ianaIppmMetrics nn }     -- IANA assigns nn

   ietfReorderedRatioStream OBJECT-IDENTITY
      STATUS       current
      DESCRIPTION
         "Type-P-Reordered-Ratio-Stream"
      REFERENCE "RFCyyyy, section 4.1."
-- RFC Ed.: replace yyyy with actual RFC number & remove this note
      ::= { ianaIppmMetrics nn }     -- IANA assigns nn

   ietfPktReorderingExtentStream OBJECT-IDENTITY
      STATUS       current
      DESCRIPTION
         "Type-P-packet-Reordering-Extent-Stream"
      REFERENCE "RFCyyyy, section 4.2."
-- RFC Ed.: replace yyyy with actual RFC number & remove this note
      ::= { ianaIppmMetrics nn }     -- IANA assigns nn

   ietfPktLateTimeStream OBJECT-IDENTITY
      STATUS       current
      DESCRIPTION
         "Type-P-packet-Late-Time-Stream"
      REFERENCE "RFCyyyy, section 4.3."
-- RFC Ed.: replace yyyy with actual RFC number & remove this note
      ::= { ianaIppmMetrics nn }     -- IANA assigns nn

   ietfPktByteOffsetStream OBJECT-IDENTITY
      STATUS       current
      DESCRIPTION
         "Type-P-packet-Byte-Offset-Stream"
      REFERENCE "RFCyyyy, section 4.4."
-- RFC Ed.: replace yyyy with actual RFC number & remove this note
      ::= { ianaIppmMetrics nn }     -- IANA assigns nn

   ietfPktReorderingGapStream OBJECT-IDENTITY
      STATUS       current
      DESCRIPTION
         "Type-P-packet-Reordering-Gap-Stream"
      REFERENCE "RFCyyyy, section 4.5."
-- RFC Ed.: replace yyyy with actual RFC number & remove this note
      ::= { ianaIppmMetrics nn }     -- IANA assigns nn

   ietfPktReorderingFreeRunStream OBJECT-IDENTITY
      STATUS       current
      DESCRIPTION
         "Type-P-packet-Reordering-Free-Run-Stream"
      REFERENCE "RFCyyyy, section 4.6."
-- RFC Ed.: replace yyyy with actual RFC number & remove this note
      ::= { ianaIppmMetrics nn }     -- IANA assigns nn

   ietfPktNReorderingStream OBJECT-IDENTITY
      STATUS       current
      DESCRIPTION
         "Type-P-packet-n-Reordering-Stream"
      REFERENCE "RFCyyyy, section 5."
-- RFC Ed.: replace yyyy with actual RFC number & remove this note
      ::= { ianaIppmMetrics nn }     -- IANA assigns nn

PS: I take care to have objects name length shorter than 32.

Hope it helps.

Regards
Emile

> -----Message d'origine-----
> De : Al Morton [mailto:[email-masked]]
> Envoyé : dimanche 9 avril 2006 16:41
> À : Lars Eggert; Henk Uijterwaal; Matthew J Zekauskas; STEPHAN Emile RD-
> CORE-LAN
> Cc : [email-masked]; [email-masked]
> Objet : Re: [ippm] Last Call: 'Packet Reordering Metric for IPPM' to
> Proposed Standard
>